MCP Tools Reference: redis.googleapis.com

Tool: list_backups

List all Memorystore for Redis Cluster backups.

The following sample demonstrate how to use curl to invoke the list_backups MCP tool.

Curl Request
                  
curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_backups",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for ListBackups.

ListBackupsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The resource name of the backupCollection using the form: projects/{project_id}/locations/{location_id}/backupCollections/{backup_collection_id}

pageSize

integer

Optional. The maximum number of items to return.

If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more clusters left to be queried.

pageToken

string

Optional. The next_page_token value returned from a previous [ListBackupCollections] request, if any.

Output Schema

Response for ListBackups.

ListBackupsResponse

JSON representation
{
  "backups": [
    {
      object (Backup)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
backups[]

object (Backup)

A list of backups in the project.

nextPageToken

string

Token to retrieve the next page of results, or empty if there are no more results in the list.

unreachable[]

string

Backups that could not be reached.

Backup

JSON representation
{
  "name": string,
  "createTime": string,
  "cluster": string,
  "clusterUid": string,
  "totalSizeBytes": string,
  "expireTime": string,
  "engineVersion": string,
  "backupFiles": [
    {
      object (BackupFile)
    }
  ],
  "nodeType": enum (NodeType),
  "replicaCount": integer,
  "shardCount": integer,
  "backupType": enum (BackupType),
  "state": enum (State),
  "encryptionInfo": {
    object (EncryptionInfo)
  },
  "uid": string
}
Fields
name

string

Identifier. Full resource path of the backup. the last part of the name is the backup id with the following format: [YYYYMMDDHHMMSS]_[Shorted Cluster UID] OR customer specified while backup cluster. Example: 20240515123000_1234

createTime

string (Timestamp format)

Output only. The time when the backup was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

cluster

string

Output only. Cluster resource path of this backup.

clusterUid

string

Output only. Cluster uid of this backup.

totalSizeBytes

string (int64 format)

Output only. Total size of the backup in bytes.

expireTime

string (Timestamp format)

Output only. The time when the backup will expire.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

engineVersion

string

Output only. redis-7.2, valkey-7.5

backupFiles[]

object (BackupFile)

Output only. List of backup files of the backup.

nodeType

enum (NodeType)

Output only. Node type of the cluster.

replicaCount

integer

Output only. Number of replicas for the cluster.

shardCount

integer

Output only. Number of shards for the cluster.

backupType

enum (BackupType)

Output only. Type of the backup.

state

enum (State)

Output only. State of the backup.

encryptionInfo

object (EncryptionInfo)

Output only. Encryption information of the backup.

uid

string

Output only. System assigned unique identifier of the backup.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

BackupFile

JSON representation
{
  "fileName": string,
  "sizeBytes": string,
  "createTime": string
}
Fields
fileName

string

Output only. e.g: .rdb

sizeBytes

string (int64 format)

Output only. Size of the backup file in bytes.

createTime

string (Timestamp format)

Output only. The time when the backup file was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

EncryptionInfo

JSON representation
{
  "encryptionType": enum (Type),
  "kmsKeyVersions": [
    string
  ],
  "kmsKeyPrimaryState": enum (KmsKeyState),
  "lastUpdateTime": string
}
Fields
encryptionType

enum (Type)

Output only. Type of encryption.

kmsKeyVersions[]

string

Output only. KMS key versions that are being used to protect the data at-rest.

kmsKeyPrimaryState

enum (KmsKeyState)

Output only. The state of the primary version of the KMS key perceived by the system. This field is not populated in backups.

lastUpdateTime

string (Timestamp format)

Output only. The most recent time when the encryption info was updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌